CollectorResult (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.CollectorResult class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class CollectorResult

    java.lang.Object
      org.hyperic.hq.product.CollectorResult

    public class CollectorResult

extends java.lang.Object

Method Summary
`void` | `addValues(java.util.Map values)`
`int` | `getLevel()`
`java.lang.String` | `getMessage()`
`MetricValue` | `getMetricValue(java.lang.String attr)`
`java.lang.String` | `getSource()`
`long` | `getTimeStamp()`
`java.util.Map` | `getValues()`
`void` | `setValue(java.lang.String key, double val)`
`void` | `setValue(java.lang.String key, java.lang.String val)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTimeStamp

    public long getTimeStamp()

### getLevel

    public int getLevel()

### getSource

    public java.lang.String getSource()

### getMessage

    public java.lang.String getMessage()

### getMetricValue

    public MetricValue getMetricValue(java.lang.String attr)

### getValues

    public java.util.Map getValues()

### addValues

    public void addValues(java.util.Map values)

### setValue

    public void setValue(java.lang.String key,
                         double val)

### setValue

    public void setValue(java.lang.String key,
                         java.lang.String val)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.